@echo off
setlocal

if %1x == ux goto update

@echo Usage: swraid.cmd {u} {print || file} (force)
@echo Defaults are u, file without force
@echo Available commands: 'u' for update
@echo Available commands after 'u': 'print' for output to screen or 'file' for output to file
@echo Use 'force' as the last parameter to force the update even if the version being installed is older or the same as the installed version.

set errorlevel=1
goto end


:update
call %systemroot%\system32\cscript /nologo swraid.vbs %2 %3


:end
endlocal